GNU bug report logs - #23033
24.5; Lock file uses the same extension as the file it's locking

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Michael Sloan <mgsloan@HIDDEN>; dated Wed, 16 Mar 2016 21:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 26 Sep 2021 06:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 02:34:58 2021
Received: from localhost ([127.0.0.1]:35564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUNkX-0000qI-V7
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:34:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mUNkV-0000q5-Jl
 for 23033 <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:34:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oh/rA+2/na3XEyri40/d4jU4LLdHbWYdEXXhhR2Kj2w=; b=VmrF7fjokvYMgrBiL6dnP0fkmk
 p7K587kJ0mcMq3A+wbutN4sM0CkfCnLbpdiade9at1XOpAd/BQ40EeChv1HkwIj9NLLBrAH5vgQq9
 cudFWu91wvdvzGhb7/jMErKEHs9YvVEIeSh5HcbOV6lbleLojSIALhUjV6Yitm3j44nw=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mUNkM-0006CE-Qt; Sun, 26 Sep 2021 08:34:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
 <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
 <87a6k1nymt.fsf@HIDDEN>
 <CADwFkmm0QZWupVQh-KupygHDKtzY7h_qHjoMGZ2J+duQEbJaPQ@HIDDEN>
 <87h7e7lxca.fsf@HIDDEN>
 <CADwFkmki3UEdh1oUfU+NtfHQvWiz9meqJLxeUwt2BKHqAFvavQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+UJGgYdMGXR1RkA
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wOS0yNlQwNjoyOTo0OCswMDowMPFja4cAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjEtMDktMjZUMDY6Mjk6NDgrMDA6MDCAPtM7AAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: The Senior Allstars - =?utf-8?Q?=E2=80=98Slipping?= Into
 =?utf-8?Q?Darkness=E2=80=99's?= _Late Night
 Tales: Version Excursions (Selected By Don Letts)_: "Originally recorded
 by WAR "
Date: Sun, 26 Sep 2021 08:34:46 +0200
In-Reply-To: <CADwFkmki3UEdh1oUfU+NtfHQvWiz9meqJLxeUwt2BKHqAFvavQ@HIDDEN>
 (Stefan Kangas's message of "Sat, 25 Sep 2021 23:31:38 -0700")
Message-ID: <8735pru9o9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: >> And these swap
 files serve the same purpose as our lock files? > > No idea. They are created
 when I start editing a file. Perhaps they're combined auto-save and lock
 files? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

>> And these swap files serve the same purpose as our lock files?
>
> No idea.  They are created when I start editing a file.

Perhaps they're combined auto-save and lock files?  

> I guess for a casual user the effect is the same, because all they will
> notice is what I did: a file pops up when you start editing.

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 26 Sep 2021 06:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 02:31:46 2021
Received: from localhost ([127.0.0.1]:35546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUNhS-0000kS-0R
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:31:46 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:35401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mUNhQ-0000kG-Lw
 for 23033 <at> debbugs.gnu.org; Sun, 26 Sep 2021 02:31:45 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 d13-20020a17090ad3cd00b0019e746f7bd4so7596793pjw.0
 for <23033 <at> debbugs.gnu.org>; Sat, 25 Sep 2021 23:31:44 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=2zZbn22wDnrtNaDBEy3zVxhedt2kCB3hp4r7eM/x+Ss=;
 b=hIxJNTC3veJG1miBV0uJfygMGYd5OWKEUP8hG/uQAxrzlnsqNMC4jgKj7a/x8A1Iqy
 bpUbteu2JbTUTfcqalNzcj+uFkw1NcnEiyitaNmsY3GVoR9CxLK+1Ce5eJK+N5hiktXc
 Ii5Kf3Fmju7I7s7dBzGRyGbjxMzR2j8xCosjtoS4dQ0RuA7ScmZQfSF/TTk7LEmisksY
 meY1Jvzj2DuVlnqsbo+UhmhP9W/Z4oX52az+xkKvucuWH+FfnusXNZIXXvkLDuXVliRQ
 IA90polDixEfIf+MBTJrWoglEKWG9kpVAmtyoVkf3kcGfXmkLyLBnMpClI7Av8TuPGCm
 GtgQ==
X-Gm-Message-State: AOAM531198RKQRHXlugXoK3AkahhQDHNRJvx7LHC5orGQlQBmxfSeGJu
 MmJEKFlni+Z4a7CVuQ65m85LD93oSH7oFWtUa7E=
X-Google-Smtp-Source: ABdhPJzt1avn8K1oUM9Ayen+Q9VEt1FTpNVnlB7F6ObXkiu/qo5Km3Xl7L69mmhbmOfwYzjvlQlTUMpm+16LAmq6LWg=
X-Received: by 2002:a17:90b:3805:: with SMTP id
 mq5mr12188384pjb.143.1632637898900; 
 Sat, 25 Sep 2021 23:31:38 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 25 Sep 2021 23:31:38 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87h7e7lxca.fsf@HIDDEN>
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
 <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
 <87a6k1nymt.fsf@HIDDEN>
 <CADwFkmm0QZWupVQh-KupygHDKtzY7h_qHjoMGZ2J+duQEbJaPQ@HIDDEN>
 <87h7e7lxca.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 25 Sep 2021 23:31:38 -0700
Message-ID: <CADwFkmki3UEdh1oUfU+NtfHQvWiz9meqJLxeUwt2BKHqAFvavQ@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I just checked some other editors:
>>
>> - vim uses ".foo.swp"
>> - nano uses ".foo.swp"
>> - VSCode has no swap file (or it's not in the directory)
>> - GEdit has no swap file (or it's not in the directory)
>
> And these swap files serve the same purpose as our lock files?

No idea.  They are created when I start editing a file.

I guess for a casual user the effect is the same, because all they will
notice is what I did: a file pops up when you start editing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 26 Sep 2021 05:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 01:28:33 2021
Received: from localhost ([127.0.0.1]:35455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUMiH-0007M3-6k
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 01:28:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mUMiF-0007Lr-UH
 for 23033 <at> debbugs.gnu.org; Sun, 26 Sep 2021 01:28:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vo92wYOwmihluBGEg8yKfjDIwAbNZ4JFyu9rotlxBFc=; b=jQb30YXK3+FLEYZ8fg8Zex7/fW
 N4N3J+pOdlNS2rs0G7IrUe1LMACj1WEgyhzS2bj+jOS4nqaw370OBf8z1B4yAnh3Nkbxc/Yhpadnu
 6YR1t4V8qNCiDBe8dsaeY3eZ7vS3WXx4j3OCLexZjpWURxbvh5JhOswfRUpC1KgNA9TQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mUMi6-0005gt-Gd; Sun, 26 Sep 2021 07:28:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
 <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
 <87a6k1nymt.fsf@HIDDEN>
 <CADwFkmm0QZWupVQh-KupygHDKtzY7h_qHjoMGZ2J+duQEbJaPQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+UJGgUXFzhyNqEA
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wOS0yNlQwNToyMzoyMyswMDowMJ/jyv0AAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjEtMDktMjZUMDU6MjM6MjMrMDA6MDDuvnJBAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: Ghetto Priest - =?utf-8?B?4oCYSGVyY3VsZXPigJk=?= (North
 Street West =?utf-8?Q?=E2=80=98Late?= Night
 =?utf-8?Q?Tales=E2=80=99?= Dub) (Exclusive remix)'s _Late Night Tales:
 Version Excursions (Selected By Don Letts)_: "Original"
Date: Sun, 26 Sep 2021 07:28:21 +0200
In-Reply-To: <CADwFkmm0QZWupVQh-KupygHDKtzY7h_qHjoMGZ2J+duQEbJaPQ@HIDDEN>
 (Stefan Kangas's message of "Fri, 24 Sep 2021 20:45:14 -0700")
Message-ID: <87h7e7lxca.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > I don't even
 understand
 why you would need to see that file. It almost > seems better to not see
 it at all, or keeping it outside of the > directory, given that we have many
 other things in place to [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> I don't even understand why you would need to see that file.  It almost
> seems better to not see it at all, or keeping it outside of the
> directory, given that we have many other things in place to help the
> user notice and deal with file locking and conflicts.

I've started using lock-file-name-transforms myself to put the lock
files somewhere else, but most people will use the defaults here, and if
we want to change anything here, I think we have to tread carefully.
That is, if we introduce a change that makes things sort differently, we
should have a really good reason to do that, because it will annoy
(some) users.

So perhaps adding a "#" (or some other non-alphabetic character) at the
end is the solution that will have the least friction?  Are there any
other characters we could be using?  %?

> I just checked some other editors:
>
> - vim uses ".foo.swp"
> - nano uses ".foo.swp"
> - VSCode has no swap file (or it's not in the directory)
> - GEdit has no swap file (or it's not in the directory)

And these swap files serve the same purpose as our lock files?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 03:45:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 23:45:24 2021
Received: from localhost ([127.0.0.1]:60017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTyct-0006W8-Oi
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:45:23 -0400
Received: from mail-pf1-f180.google.com ([209.85.210.180]:45856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTycr-0006Vt-1C
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:45:22 -0400
Received: by mail-pf1-f180.google.com with SMTP id w19so10527973pfn.12
 for <23033 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 20:45:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=WpzEM0GTy7fWIfpLoZL0eptOgj6fm6OYRiubhOtSBns=;
 b=N6jgzxCUTUIxQbUDV0eUKSHb7fqsGbbm6wQUPu0qujym1LgrLS9kY7X3q9hrWpmLBz
 JXcNStcpqWkIHYnWHOyl4VNfdwacy6vLyTJNCjDG7oimOykXmYoNLfaYzVMGmmW2X7zY
 1TV2nszXa+zmoVEAMfBMVtQ8IHeOvmhwFsda0FQMXu50qYy5bQsDZjFsJVg8JTKyiO2b
 TT4kwKqZpbvhm2NlD8dIH4enR4hxary/78rtt9xZ02MTNO3YAruPjf+tiVA5Q7H9icv6
 +Ok9T42kOBH29cy4cYJjF2IiTw6mye44o388kf+2d+MRLObTdYJwtZRbF9O8FeXs9lTX
 NAXg==
X-Gm-Message-State: AOAM531dT0SqaNAfnfqGXpqZ59BfvZ7W+YjngdN8sCH9FdcKZPwkqKEw
 R9sd9TcQ2HhWDGxUoPMzcPX/HFMlu4XrPMIVR38=
X-Google-Smtp-Source: ABdhPJw7Ir1FOunpOmnNEq0BVmKo4hqcDTWgegvKTeUQYcSQ3lJF++tptVx2Msfm7dqSQrQ1F5GKyM6OzMZQjFT7Mrs=
X-Received: by 2002:a63:f946:: with SMTP id q6mr6683586pgk.42.1632541515268;
 Fri, 24 Sep 2021 20:45:15 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 20:45:14 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87a6k1nymt.fsf@HIDDEN>
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
 <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
 <87a6k1nymt.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 20:45:14 -0700
Message-ID: <CADwFkmm0QZWupVQh-KupygHDKtzY7h_qHjoMGZ2J+duQEbJaPQ@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> Much?  I'd say no.  It changes a little, in most cases, e.g.:
>>
>> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 .#foo#
>> -rw-r--r-- 1 skangas skangas     19 2021-09-25 03:33 foo
>> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 foob
>> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:01 foobar
>> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:00 .#foo.lock
>>
>> I guess this starts to matter more when you have a ton of files named
>> fooXXX.
>
> Ah, I see.  Well, perhaps adding a "#" at the end is the best fix here,
> then,

I'm not convinced that ls ordering (under some locales) is the most
important concern.

I don't even understand why you would need to see that file.  It almost
seems better to not see it at all, or keeping it outside of the
directory, given that we have many other things in place to help the
user notice and deal with file locking and conflicts.

> although it looks rather similar to the #auto-save# files then,
> which might confuse people...

That's a good point.

I just checked some other editors:

- vim uses ".foo.swp"
- nano uses ".foo.swp"
- VSCode has no swap file (or it's not in the directory)
- GEdit has no swap file (or it's not in the directory)

Just to give a rough idea of what's considered acceptable out there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 03:05:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 23:05:27 2021
Received: from localhost ([127.0.0.1]:59970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTy0F-0003CH-C5
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:05:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTy0C-0003Br-Rl
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:05:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BbEex4ykX6cVBZG1PH9cumQuNudhLnbngFtUqHi+Xlw=; b=Jv/w0U3vMebbwDVrI3ax52XyqA
 4NGMecPJjMVyqciNnnuAzPIkSn4rImdHwSXE8iI5ufibNuRZ5uIQ5WBR6w3elcgIzIU23M0dFLnxt
 +Rdc5+yWCF9Ey3VNDxiVnbTeSA2tDhIHqoGHawRM1nZkB0Ia2M5z8dGTmnNNvLCZ6PQc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTy03-0000Vr-Ej; Sat, 25 Sep 2021 05:05:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
 <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXbAULfC0XfWEbY
 Czfxg272ubP///+I0O32AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UJGQIaLVwqKDUAAAG3SURBVDjL
 pZNNttsgDIVl0wU4TTJvBJkTlBVQeQF1Yf9beVfxH8/urHjgc/SZe4V8IfqP9ZNfRN25npQl/gsE
 Zf+geKp3qtnzaziBHoD961R3kpjN5LjEQDLg5DtwrHBHUegIQLxEt6vF6EScMB6J1w3cWR/6zOQS
 oyvqNqWx1jLW4ihVHT3RtQEjnoKDZIVMv0oF1VvB4WxWjGK3nn1uW6TzzP497GAbyd+g/g33X03x
 OtBrnIKdZKAGdDT0oVbVWuuf0EhdaLDGrI7eN+DkQhfreV6/t5Fc3IPuSxWb8ubh6EE/FvCEVG49
 0iqETTm2QNf6iNnvgXJBP6O0Ddps6a9h2TFpyA3o+HO2WuwwvtVi5XFxyDHsW1wK/jm3NOaYELw1
 CBj4bZ6HTuR2rcTJ39QM4E30Vp61HGePvAWMnQP0XVi0kCgD3iOJeJnCBqKIsBbcBETLPONs4SOU
 4M06eRfx4Qrw3XtuCiG14LEsAK4ol6KBESd4xh2MJVtRP5mf74lYLwFhzGyzZdmvj5hH4c+Sw/24
 VdNeXNt1twliyv4IbLol4I8fwTiHp07xe71bw1AOoD+BLwvThsXYFrzSAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIxLTA5LTI1VDAyOjI2OjQ0KzAwOjAwLrmEGgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MS0wOS0yNVQwMjoyNjo0NCswMDowMF/kPKYAAAAASUVORK5CYII=
X-Now-Playing: Bertine Zetlitz's _Sweet Injections_: "Death in her room"
Date: Sat, 25 Sep 2021 05:05:14 +0200
In-Reply-To: <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
 (Stefan Kangas's message of "Fri, 24 Sep 2021 19:59:01 -0700")
Message-ID: <87a6k1nymt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Much? I'd say
 no. It changes a little, in most cases, e.g.: > > -rw-r--r-- 1 skangas skangas
 0 2021-09-25 02:02 .#foo# > -rw-r--r-- 1 skangas skangas 19 2021-09-25 03:33
 foo > -rw-r--r-- 1 skangas s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Much?  I'd say no.  It changes a little, in most cases, e.g.:
>
> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 .#foo#
> -rw-r--r-- 1 skangas skangas     19 2021-09-25 03:33 foo
> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 foob
> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:01 foobar
> -rw-r--r-- 1 skangas skangas      0 2021-09-25 02:00 .#foo.lock
>
> I guess this starts to matter more when you have a ton of files named
> fooXXX.

Ah, I see.  Well, perhaps adding a "#" at the end is the best fix here,
then, although it looks rather similar to the #auto-save# files then,
which might confuse people...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 02:59:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:59:11 2021
Received: from localhost ([127.0.0.1]:59960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTxuA-0002zN-0U
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:59:11 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:34342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTxu7-0002z5-Sg
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:59:09 -0400
Received: by mail-pj1-f44.google.com with SMTP id
 on12-20020a17090b1d0c00b001997c60aa29so8661022pjb.1
 for <23033 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 19:59:07 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=4oBih7pnIrSF3RMbytywHMa0iTJffJdAezEwl2qnrq0=;
 b=1kY2PmsaCZFVeu9Z85ea0wwY1ths9hbVqauq6wvH/aIb4N96r6GB7481ugGcfjCR1H
 DyMrZfai1mdDCk8OmR8sYx2vmMhUEjz07aNtjHxcRqQswt1AIFlU8oM5Zx4giZWc5IGJ
 XbksiN/YwIo2OmjY+XPpbjccSDcOVSBS66fSv6z+RYVPMZA1dLH1K0C1nhPqLtphH5wL
 OBtFvAqQ8v29I6uYn94eJ0bYfGrymd9akq7uBJzLsiR4AgkXvfBSWfHtFXAGVGTG8U41
 cxIUU0clzWjbvDyREaiKhjVd/x9L9q0dBhv4y4DG2V/d42eHGEKJfhnush8oV2EH3HfB
 L2BA==
X-Gm-Message-State: AOAM530JnSYLC0KvzVOsNhUERpSGkKLf1slLbZz+G0GSaLzTLBi2nD3F
 TbK7IGtPBGNny/ecmP3STTvCTgqNQwtBRjFqWBA=
X-Google-Smtp-Source: ABdhPJz4gks1Zjm6Xn3X55mcuQMSBAqwk7pfvtNPzT2OTti+iHwjGD6Z1WPp/fpSdukwT6jXXKdgU+mfS1hTSN4+H7g=
X-Received: by 2002:a17:90b:3805:: with SMTP id
 mq5mr6046339pjb.143.1632538742004; 
 Fri, 24 Sep 2021 19:59:02 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 19:59:01 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <871r5dpeya.fsf@HIDDEN>
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 <871r5dpeya.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 19:59:01 -0700
Message-ID: <CADwFkmnQgANROBcMuVE+9HiOEeR01gi3NeQGLe0YC7m1uKc__Q@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I also note that even with ".lock" the files are fairly close together,
>> and they are also colored differently so they stand out.
>>
>> So from my perspective having the explanation ".lock" visible in the
>> name is worth more than a slightly better sort order.
>
> But would adding .lock to them change the sort order much?

Much?  I'd say no.  It changes a little, in most cases, e.g.:

-rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 .#foo#
-rw-r--r-- 1 skangas skangas     19 2021-09-25 03:33 foo
-rw-r--r-- 1 skangas skangas      0 2021-09-25 02:02 foob
-rw-r--r-- 1 skangas skangas      0 2021-09-25 02:01 foobar
-rw-r--r-- 1 skangas skangas      0 2021-09-25 02:00 .#foo.lock

I guess this starts to matter more when you have a ton of files named
fooXXX.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 02:27:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:27:36 2021
Received: from localhost ([127.0.0.1]:59882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTxPc-00063d-Lr
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:27:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTxPb-00063M-Fo
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:27:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xb6J8QW5Ili/AlVepk8Pzn6Z+ZmdOxuYdEsMWxrT/E4=; b=KiLaVdNGR2qRnYitsa1brk52Sw
 Df8A28mJbhj0E/wKChvAtqYY+uUWI3DcJzovsXjJjlwY4USTGtuhpSMf2GxI/DwswC1l/KgyUPsRR
 tI5q9zGiYuj6ea9g2p086DX1URvy/Bu/2O56X+ODUxp1oWgbdnCMun0xEDKicqOYNJ2c=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTxPS-00008q-4t; Sat, 25 Sep 2021 04:27:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
 <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXbAULfC0XfWEbY
 Czfxg272ubP///+I0O32AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UJGQIaLVwqKDUAAAG3SURBVDjL
 pZNNttsgDIVl0wU4TTJvBJkTlBVQeQF1Yf9beVfxH8/urHjgc/SZe4V8IfqP9ZNfRN25npQl/gsE
 Zf+geKp3qtnzaziBHoD961R3kpjN5LjEQDLg5DtwrHBHUegIQLxEt6vF6EScMB6J1w3cWR/6zOQS
 oyvqNqWx1jLW4ihVHT3RtQEjnoKDZIVMv0oF1VvB4WxWjGK3nn1uW6TzzP497GAbyd+g/g33X03x
 OtBrnIKdZKAGdDT0oVbVWuuf0EhdaLDGrI7eN+DkQhfreV6/t5Fc3IPuSxWb8ubh6EE/FvCEVG49
 0iqETTm2QNf6iNnvgXJBP6O0Ddps6a9h2TFpyA3o+HO2WuwwvtVi5XFxyDHsW1wK/jm3NOaYELw1
 CBj4bZ6HTuR2rcTJ39QM4E30Vp61HGePvAWMnQP0XVi0kCgD3iOJeJnCBqKIsBbcBETLPONs4SOU
 4M06eRfx4Qrw3XtuCiG14LEsAK4ol6KBESd4xh2MJVtRP5mf74lYLwFhzGyzZdmvj5hH4c+Sw/24
 VdNeXNt1twliyv4IbLol4I8fwTiHp07xe71bw1AOoD+BLwvThsXYFrzSAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIxLTA5LTI1VDAyOjI2OjQ0KzAwOjAwLrmEGgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MS0wOS0yNVQwMjoyNjo0NCswMDowMF/kPKYAAAAASUVORK5CYII=
X-Now-Playing: Bertine Zetlitz's _Sweet Injections_: "For Fun"
Date: Sat, 25 Sep 2021 04:27:25 +0200
In-Reply-To: <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
 (Stefan Kangas's message of "Fri, 24 Sep 2021 19:10:14 -0700")
Message-ID: <871r5dpeya.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: >> I think we
 should
 only consider adding punctuation characters, because >> that would ensure
 these lock files are displayed right next to the >> files they lock, like
 today. Moving the lock files aw [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

>> I think we should only consider adding punctuation characters, because
>> that would ensure these lock files are displayed right next to the
>> files they lock, like today.  Moving the lock files away of the files
>> they lock in the directory listing would be a disadvantage, IMO.
>
> I use LC_COLLATE=C, so I have never had these files next to each other,
> and never missed that feature either.

Yeah, they've never displayed close to each other for me, either.

> I also note that even with ".lock" the files are fairly close together,
> and they are also colored differently so they stand out.
>
> So from my perspective having the explanation ".lock" visible in the
> name is worth more than a slightly better sort order.

But would adding .lock to them change the sort order much?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 02:10:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:10:23 2021
Received: from localhost ([127.0.0.1]:59838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTx8x-0003Kx-8T
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:10:23 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:42759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTx8u-0003KS-DI
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:10:22 -0400
Received: by mail-pl1-f174.google.com with SMTP id l6so7753796plh.9
 for <23033 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 19:10:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=buijyq9+nWXT13zE+TIySlMVaE5tC0ToEiEfVo2fVQE=;
 b=bsyk+bEEnLai73yUw+Uxvy6Y5W7UcPOOGT4b9pChYzhoSlc56DCcL2FkLuQc/Pv9JN
 4mjFWQK1CvUxsA60RM1Glh8qbf8f8woRwaFfSKEASproG+Y6OocKAeIueErZYbeFxg7g
 ZXXF/CuI62gjxQgFz/iTBBKbMOl82pxuVa/Vs90YtM4HuTG8ymPTk7n4VmviyNVpfUXJ
 xDHtFHqtG8hn6++HBWfrICmPfFTJArwAkum0ctD/RcHdFm0uotgOXfqDMhV0c3VQeaJR
 OGZvQpY0hWTXxZKnCez60lHi43JGePC914KctnxXiUmem76Lbjgmpcn1x/ft4ixPUmZk
 ATEw==
X-Gm-Message-State: AOAM5334HMnIQ1DSPfUVI1RTkl9v11TnePLdaiubp2VQQRjviIU+i2Lo
 kcfAowkqq24+R6CCOd5bKKMCko8JmkEtCyoTkOU=
X-Google-Smtp-Source: ABdhPJx/UIyVmtJ2qcXbEzIroOOWWnJO+q1HBPsLVjTAbPDI3jPBJyBi4RB2wsCYJrWzlbMrnDrMy7hEhK2dABsFPNU=
X-Received: by 2002:a17:903:189:b0:13d:965f:e83f with SMTP id
 z9-20020a170903018900b0013d965fe83fmr12173773plg.32.1632535814893; Fri, 24
 Sep 2021 19:10:14 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 19:10:14 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <878rzlqva7.fsf@HIDDEN>
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 <878rzlqva7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 19:10:14 -0700
Message-ID: <CADwFkmno-wPvfeReSzLBnCrdDKB3bhkvMvJZVEZjVvHrQ3R-cw@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Is there any reason we don't just call these files .#foo.lock" or
> something?  Putting "lock" into the name would make it clearer to the
> users what these things are.

See below what Eli wrote earlier in this thread.

Eli Zaretskii <eliz@HIDDEN> writes:

> I think we should only consider adding punctuation characters, because
> that would ensure these lock files are displayed right next to the
> files they lock, like today.  Moving the lock files away of the files
> they lock in the directory listing would be a disadvantage, IMO.

I use LC_COLLATE=C, so I have never had these files next to each other,
and never missed that feature either.

I also note that even with ".lock" the files are fairly close together,
and they are also colored differently so they stand out.

So from my perspective having the explanation ".lock" visible in the
name is worth more than a slightly better sort order.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 01:49:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 21:49:32 2021
Received: from localhost ([127.0.0.1]:59775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTwom-0000TX-2Z
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 21:49:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTwok-0000TH-Ea
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 21:49:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tW1abyRF1C0NRK2h40ssREaSquqWkGWf5U9f+aBprPg=; b=VB2DyDCzZSTmHkyirWVD96J3MT
 3Tm8TUzIUbYuaneO+SqHx5OxgieUt56TypBNQKEOU4q/U6NZUn4fUN5hG102L7kQyWXq7hSk0s4q8
 3JZh3je8nQ7q2xqSB51xyAD0Itc3rPXu8CxcYbIxIj5a/fwUINKmxJMsrQCLhsSYebv0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTwob-00087x-KU; Sat, 25 Sep 2021 03:49:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUpJisPDBBXVFp8
 fYShoqe9vsTR09jw8fL////l0XS0AAAAAWJLR0QIht6VegAAAAd0SU1FB+UJGQEtJy6+30YAAAG4
 SURBVDjLpdLNktowDABgJZPhbJU+QPDC9kohpVd2semV7sTh2tnB8gu09utX+bXD0lPFgYm+kSX/
 QAa5lE+V0sYYpXayBMgQMwQUIKWslOK0Ou1kl+cARCG7kja/l3MopdwrdQ52XKlbCkVe5lyiHdHt
 DoAH+BGsIeJ8AtCCpzbehhYdIAMU3rf0G9oEihEEFCF4ct5tZ8B/DF0ce4AJFtTDpQPuNMKhcW3e
 HbGvyIYeQhtybZvXft9jc8RDB8GeZsAfZ8vDBm9mFTwcbqiximr1ikOMUDRElmy9+gCax/LuHR+B
 d3SZQTvV0jTE5368A77gSnN7k91BhplYE5lfeA/8Ew3ZN5GCKLkAyyWvRNejgAk+bfluS8mnZbX9
 s5ZQwgBq/XTSujY88c2YqpDbAfan5VrzS2yCMzdbF7AaeuyKXDd8JFdvrCWT50NFO9Yz54fLpVU8
 Esi/7VWlTr18nYCPf+PCFC8J4Cbmw8/pojgWMe8vacV/AT0EzzCb6kuE8BhccDP4HoHSneMhgVUK
 OoLNEhBqAn/DBJZ1hPcUPpt/wCICbxwiPFs3wUv3ZAc422sEwU8rw79xYN9+0S2V8QAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMS0wOS0yNVQwMTo0NTozOSswMDowMPvj8U0AAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjEtMDktMjVUMDE6NDU6MzkrMDA6MDCKvknxAAAAAElFTkSuQmCC
X-Now-Playing: Bertine Zetlitz's _Beautiful So Far_: "Adore Me"
Date: Sat, 25 Sep 2021 03:49:20 +0200
In-Reply-To: <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
 (Stefan Kangas's message of "Fri, 24 Sep 2021 17:06:29 -0700")
Message-ID: <878rzlqva7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: >> The default file
 sort order in UTF-8 locales ignores punctuation >> characters. > > So how
 about using ".#foo#" instead of ".#foo"? Is there any reason we don't just
 call these files .#foo.lock" or something? Putting "lock" into the name would
 make it clearer to the users what these things are. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 23033 <at> debbugs.gnu.org,
 mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

>> The default file sort order in UTF-8 locales ignores punctuation
>> characters.
>
> So how about using ".#foo#" instead of ".#foo"?

Is there any reason we don't just call these files .#foo.lock" or
something?  Putting "lock" into the name would make it clearer to the
users what these things are.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 25 Sep 2021 00:06:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 20:06:40 2021
Received: from localhost ([127.0.0.1]:59556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTvDE-0005N4-BL
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 20:06:40 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:33602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTvD9-0005Mh-9D
 for 23033 <at> debbugs.gnu.org; Fri, 24 Sep 2021 20:06:38 -0400
Received: by mail-pg1-f173.google.com with SMTP id y186so29199pgd.0
 for <23033 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 17:06:35 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=BD1O3IxSacFZfjFP6/B82y918Xb0oiRCavSxiIfzIOI=;
 b=HgZdpgAm+v56KrMqf80tbuC1rZz96NFu+2w2T8LS+6U+PHtDrVCvpGyvlhhDehMJEE
 DICXN2t7OM5m+XCA5XYArNPAwLLZRPUKBMRqm0ATeav7XXW8CDzdC4qaFjRue41GRJeQ
 SLi4F0pIAlXSnFVNzVtxzahhJzZRrZI/1rXcF0wV75549CwoyavkYXDo+7cDDUvuR8MJ
 EbdqdsBk0J8fvAGYeu2fB7arF60NSyH5NGEJNQvncKBYUf3AB3OE7l4dAzhnNQAkoApR
 Vf9yf5eimthYWmXDH2NIsMaDZ6xQBoQ6H9F7tsZQSsI1h0H/jkvPkPGCt9SIurKIeQ8v
 0FSg==
X-Gm-Message-State: AOAM530rxX+Wmy8y1DQCmh5BOc+wX5lqQSnxeVAvCtEKA89b1RtfqPEl
 YOKswtbbb7IIU4HQnrELu21lgVU3kfYjQhx8fuk=
X-Google-Smtp-Source: ABdhPJxuuFnXeYgR9lSyPc2qtdfiFTbKbi7C21o6ZaRs47BObSDHMkFQUWPfz0wR7jv57r3l5nCfrU3EiepswqImRnY=
X-Received: by 2002:a63:6941:: with SMTP id e62mr6040732pgc.114.1632528389640; 
 Fri, 24 Sep 2021 17:06:29 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 17:06:29 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83d0e19zcm.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 09 Nov
 2019 11:24:25 +0200")
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 17:06:29 -0700
Message-ID: <CADwFkm=jsk8897RrnhhMCak4tWosWy1ex=zwHaeb-3t+vGo4Xg@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Stefan Kangas <stefan@HIDDEN>
>> Date: Sat, 9 Nov 2019 10:12:11 +0100
>> Cc: Michael Sloan <mgsloan@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org
>>
>> > I think we should only consider adding punctuation characters, because
>> > that would ensure these lock files are displayed right next to the
>> > files they lock, like today.  Moving the lock files away of the files
>> > they lock in the directory listing would be a disadvantage, IMO.
>>
>> On this MacOS machine, I see the following:
>>
>> $ ls -al
>> total 8
>> drwxr-xr-x  11 skangas  staff   352 Nov  9 10:05 .
>> lrwxr-xr-x   1 skangas  staff    33 Nov  9 10:05 .#foo ->
>> skangas@HIDDEN
>> drwxr-xr-x  50 skangas  staff  1600 Nov  9 10:03 ..
>> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 a
>> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 e
>> -rw-r--r--   1 skangas  staff     3 Nov  9 10:05 foo
>> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 i
>> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 z
>>
>> In other words, the lock file is not next to the file it locks.  Are
>> you seeing something else?
>
> Yes.
>
> Is the above Gnu 'ls'?  And what is your locale?

I see this in the macOS ls and the GNU ls with LC_COLLATE=C.

With `LC_COLLATE=en_US.UTF.8 ls -al`, I see that:

lrwxrwxrwx 1 skangas skangas     32 2021-09-25 01:54  .#foo ->
skangas@HIDDEN:1630641938
-rw-r--r-- 1 skangas skangas      4 2021-09-25 01:54  foo

>> How would the ordering differ with a suffix like ".lock" compared to
>> "#" or some other punctuation character?  I would have thought that it
>> would be very similar.  Maybe I'm missing something.
>
> The default file sort order in UTF-8 locales ignores punctuation
> characters.

So how about using ".#foo#" instead of ".#foo"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 16 Nov 2019 23:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 16 18:23:57 2019
Received: from localhost ([127.0.0.1]:39878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iW7Q5-0000XZ-J5
	for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 18:23:57 -0500
Received: from mail-qv1-f52.google.com ([209.85.219.52]:39567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mgsloan@HIDDEN>) id 1iW7Q3-0000XM-Pk
 for 23033 <at> debbugs.gnu.org; Sat, 16 Nov 2019 18:23:56 -0500
Received: by mail-qv1-f52.google.com with SMTP id v16so5139092qvq.6
 for <23033 <at> debbugs.gnu.org>; Sat, 16 Nov 2019 15:23:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=NeFHdBsKA+h8xYonkU/WDvOqjSeJ4RkhmksVCNL6Y1Q=;
 b=ow082sriOJhWy/hFmpsoqQ2rMzZ8N4/9JKJ7dUVfRvQIPUylsbyQkzbE1UbuUj2GRV
 3i5wxW7IYKPgBE+P0MEiuphsjI9myME62OSpV+e7l5SqR5E+0pTmrYEix3XQoCTpwCjE
 MmsSWQgJlXzp43CmpNBqf84x2g7DIu0Pu66F30KpHnk8bhdxrhUohi+IR4oi1qx/R8jc
 uR1FGbibKsByv0pQivB+1R4fSRxWdNzujbqqJrLOBe3qBdzThB9aTfVOr8U7FePC1Lpc
 YehHE/KKPJuLpcZLcyA0S+MNjrWfjShhqV7R5XctXCmwSdUhNCZSMsAzc15j8eyFlMf2
 +qOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=NeFHdBsKA+h8xYonkU/WDvOqjSeJ4RkhmksVCNL6Y1Q=;
 b=sYJ1CCyeScfruUrSQWRPNVdIMBrkWyRG5yFmfwj4QKZYWrasCB2yDhktNCA41MkHJc
 KSZCKeQN28OEt5Cim/dNVdOf5TOSjLnZeHzBxAq16gYzHtvGpveIHlX5xrXgqP3dDnfK
 ljEL+C9l7jZ5gKRHjne/Ta0IDPJsq21mDiT5od444SqzBxzG4Lp39VQpTLW9lz86gX0P
 VYlQw7o4Wtz/GYVh4v+QMsRyMfNZLfA3CQtJVZ3Jtj2T9Iec1Lj6Sl/LRQ0Q3m+wmSWC
 wEQwI/Yn1mfI3PZssTbfODtSj+rQD2shEqTF6HqaTooYCMgcm/DFx3AzxoqiwQ9PjY9i
 woiA==
X-Gm-Message-State: APjAAAVNa+azEDQYczLYYbqzf0qdhuM0z0qQHRJA+R2dxxeGuBTqT5Lx
 271MAnpKtau48Dt0jjOWNLU3gH/0XcUWo6gJVP4=
X-Google-Smtp-Source: APXvYqwohZ68SShVbDKSootCLwNNir6zMelsELuZKl0wh+S1mIUjbcxL+JGbhyRN5ka1PtQkfeF5suYMqb8GfTmgVyk=
X-Received: by 2002:a0c:e847:: with SMTP id l7mr10540197qvo.14.1573946630093; 
 Sat, 16 Nov 2019 15:23:50 -0800 (PST)
MIME-Version: 1.0
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CAEDDsWfEV5th12YmB-pOfF2TsMT5Vc0=ezs=5uZKnrLKdYT9bg@HIDDEN>
 <834kz695qd.fsf@HIDDEN>
In-Reply-To: <834kz695qd.fsf@HIDDEN>
From: Michael Sloan <mgsloan@HIDDEN>
Date: Sat, 16 Nov 2019 16:23:14 -0700
Message-ID: <CAEDDsWebtoQ+tkiBQmvJNZrmY+e6gfm+yjSiWoZF5L+_rCkt1A@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000c8402b05977f0173"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: Glenn Morris <rgm@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000c8402b05977f0173
Content-Type: text/plain; charset="UTF-8"

On Thu, Nov 14, 2019 at 2:18 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > It is not the case that the current lock file names are always listed
> next to the files they are clocking:
> >
> > mgsloan@treetop:~/test$ ls -la
>
> > total 8
>
> > drwxrwxr-x  2 mgsloan mgsloan 4096 Nov  9 16:36  .
>
> > drwxr-xr-x 57 mgsloan mgsloan 4096 Nov  9 16:35  ..
> > -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36  .#test.md
> > -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36 '#.test.md'
> > -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:35  test.md
>
> I agree that it is easy to cook an example where this doesn't happen,
> but usually it does.
>

Indeed!  And appending ".lock" to a file name is also typically adjacent in
listings, and it is easy to cook an example where it is not.

--000000000000c8402b05977f0173
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--000000000000c8402b05977f0173--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 14 Nov 2019 09:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 04:18:12 2019
Received: from localhost ([127.0.0.1]:60931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVBGV-0007C4-L6
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 04:18:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVBGT-0007Br-D8
 for 23033 <at> debbugs.gnu.org; Thu, 14 Nov 2019 04:18:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46889)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVBGO-0007jz-3l; Thu, 14 Nov 2019 04:18:04 -0500
Received: from [176.228.60.248] (port=2641 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVBGM-0005x9-O3; Thu, 14 Nov 2019 04:18:03 -0500
Date: Thu, 14 Nov 2019 11:17:46 +0200
Message-Id: <834kz695qd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Sloan <mgsloan@HIDDEN>
In-reply-to: <CAEDDsWfEV5th12YmB-pOfF2TsMT5Vc0=ezs=5uZKnrLKdYT9bg@HIDDEN>
 (message from Michael Sloan on Sat, 9 Nov 2019 16:37:45 -0700)
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
 <CAEDDsWfEV5th12YmB-pOfF2TsMT5Vc0=ezs=5uZKnrLKdYT9bg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, stefan@HIDDEN, 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Sloan <mgsloan@HIDDEN>
> Date: Sat, 9 Nov 2019 16:37:45 -0700
> Cc: Stefan Kangas <stefan@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org
> 
> Since sort order is lexicographic, lock files with ".lock" appended will still typically be next to the files when
> listed.

The sort order is not exactly lexicographic, because it ignores some
characters when comparing strings.

> It is not the case that the current lock file names are always listed next to the files they are clocking:
> 
> mgsloan@treetop:~/test$ ls -la                                                                                                       
> total 8                                                                                                                              
> drwxrwxr-x  2 mgsloan mgsloan 4096 Nov  9 16:36  .                                                                                   
> drwxr-xr-x 57 mgsloan mgsloan 4096 Nov  9 16:35  ..
> -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36  .#test.md
> -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36 '#.test.md'
> -rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:35  test.md

I agree that it is easy to cook an example where this doesn't happen,
but usually it does.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 9 Nov 2019 23:38:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 18:38:30 2019
Received: from localhost ([127.0.0.1]:50484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTaJJ-0001oV-Px
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 18:38:30 -0500
Received: from mail-qv1-f49.google.com ([209.85.219.49]:36546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mgsloan@HIDDEN>) id 1iTaJH-0001oI-OP
 for 23033 <at> debbugs.gnu.org; Sat, 09 Nov 2019 18:38:28 -0500
Received: by mail-qv1-f49.google.com with SMTP id f12so3615472qvu.3
 for <23033 <at> debbugs.gnu.org>; Sat, 09 Nov 2019 15:38:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vKEywhx0UOvBoWT9seLQxZLiHZcRKgBQoSNSlgYkdiw=;
 b=ev/VY6v4azfExgHWohHHLF8nx8nH8/YPq9jS3Hq2Ay/Qx6OmcdQcJ0z8gzFAwQMRQC
 NV5yE/GJzZKGbYIdqsAAzqwpQgxQ3+KMsAwhbdPToEADJvrMiWth5hLhtUOXgbfD2TGR
 vgW1wUb1FhxZ35sd6b9QXnS2foqMNb6ixYY3TlD57G0GALRx1ZRAQkG0X+L5TWEIU5c2
 KidjqGzvXEAkI83s7ndFsgFoHOwEPi7Rf+S608oxFA3QGGQrKFXn5BobFf8tH5tl89yv
 86D83HiBNmSpD3RjfNeHkyjLJSXc2Izx5f6udpRtqCF3DmJIwpCPKiHqyPumADhO5rL6
 I6fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vKEywhx0UOvBoWT9seLQxZLiHZcRKgBQoSNSlgYkdiw=;
 b=KGWD+S7ONorFYTadvg9mXwrpPObTAJVmfv2MQN/imPjkPbm6uJq9R8Lvrqn+Hdk2/X
 tOoZJLeIjwmdQ8meDs4FUcbiMPeWGjz4FPuV9I0Q831GGV9fvCHuc5HvTozmfbR7FO97
 heK1bL6vTNLLwaTDhhEkMcLsMdzx0Su+3xmJO4i4b5cire/G4EAwkiBgQ9/C9WGzN2Df
 OUIu45P/GuxJoDD6Ca1WEtVT10yc/cE1a8kAP3FtwvXhzFA8pTJ3fybTlDEvHmc7K9ft
 vRfx8n/O0EuLxlDNP4/dJKT84plPJ5Y1/Aq1VnV5Zdc8zIueKzIMyOV8bmHCCm2sUFRK
 GcCA==
X-Gm-Message-State: APjAAAUxiDxjYBykC7fj9TSTbG549si4xIwJgybZMdiq4/Njh4aZSQlo
 RnYJnh3AHTTe3PgP8akEvqrdIwnhlL29br8R5UHgTCtcO6s=
X-Google-Smtp-Source: APXvYqyS4Lsnqx0h9lfG6ywciVD6WaM7QIst4kFEUSbtRj68Mg7pvhj53lvopd0VUP0VH7blahrtntNE9L795u5TA3Q=
X-Received: by 2002:a0c:d4ba:: with SMTP id u55mr17029903qvh.40.1573342701999; 
 Sat, 09 Nov 2019 15:38:21 -0800 (PST)
MIME-Version: 1.0
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 <83d0e19zcm.fsf@HIDDEN>
In-Reply-To: <83d0e19zcm.fsf@HIDDEN>
From: Michael Sloan <mgsloan@HIDDEN>
Date: Sat, 9 Nov 2019 16:37:45 -0700
Message-ID: <CAEDDsWfEV5th12YmB-pOfF2TsMT5Vc0=ezs=5uZKnrLKdYT9bg@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000dcdc240596f264c8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: Glenn Morris <rgm@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000dcdc240596f264c8
Content-Type: text/plain; charset="UTF-8"

Since sort order is lexicographic, lock files with ".lock" appended will
still typically be next to the files when listed.  The only exception I can
think of is if there are other related files with the same base name,
perhaps with a different stacked extension or suffix (like ~)

It is not the case that the current lock file names are always listed next
to the files they are clocking:

mgsloan@treetop:~/test$ ls -la

total 8

drwxrwxr-x  2 mgsloan mgsloan 4096 Nov  9 16:36  .

drwxr-xr-x 57 mgsloan mgsloan 4096 Nov  9 16:35  ..
-rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36  .#test.md
-rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:36 '#.test.md'
-rw-rw-r--  1 mgsloan mgsloan    0 Nov  9 16:35  test.md

On Sat, Nov 9, 2019 at 2:24 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Stefan Kangas <stefan@HIDDEN>
> > Date: Sat, 9 Nov 2019 10:12:11 +0100
> > Cc: Michael Sloan <mgsloan@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
> 23033 <at> debbugs.gnu.org
> >
> > > I think we should only consider adding punctuation characters, because
> > > that would ensure these lock files are displayed right next to the
> > > files they lock, like today.  Moving the lock files away of the files
> > > they lock in the directory listing would be a disadvantage, IMO.
> >
> > On this MacOS machine, I see the following:
> >
> > $ ls -al
> > total 8
> > drwxr-xr-x  11 skangas  staff   352 Nov  9 10:05 .
> > lrwxr-xr-x   1 skangas  staff    33 Nov  9 10:05 .#foo ->
> > skangas@HIDDEN
> > drwxr-xr-x  50 skangas  staff  1600 Nov  9 10:03 ..
> > -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 a
> > -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 e
> > -rw-r--r--   1 skangas  staff     3 Nov  9 10:05 foo
> > -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 i
> > -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 z
> >
> > In other words, the lock file is not next to the file it locks.  Are
> > you seeing something else?
>
> Yes.
>
> Is the above Gnu 'ls'?  And what is your locale?
>
> > How would the ordering differ with a suffix like ".lock" compared to
> > "#" or some other punctuation character?  I would have thought that it
> > would be very similar.  Maybe I'm missing something.
>
> The default file sort order in UTF-8 locales ignores punctuation
> characters.
>

--000000000000dcdc240596f264c8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Since sort order is lexicographic, lock files with &quot;.=
lock&quot; appended will still typically be next to the files when listed.=
=C2=A0 The only exception I can think of is if there are other related file=
s with the same base name, perhaps with a different stacked extension or su=
ffix (like ~)<div><br></div><div>It is not the case that the current lock f=
ile names are always listed next to the files they are clocking:</div><div>=
<br></div><div>mgsloan@treetop:~/test$ ls -la =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 <br>total 8 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0<br>drwxrwxr-x =C2=A02 mgsloan=
 mgsloan 4096 Nov =C2=A09 16:36 =C2=A0. =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 <br>drwxr-xr-x 57 mgsloan mgsloan 4096 Nov =
=C2=A09 16:35 =C2=A0..<br>-rw-rw-r-- =C2=A01 mgsloan mgsloan =C2=A0 =C2=A00=
 Nov =C2=A09 16:36 =C2=A0.#test.md<br>-rw-rw-r-- =C2=A01 mgsloan mgsloan =
=C2=A0 =C2=A00 Nov =C2=A09 16:36 &#39;#.test.md&#39;<br>-rw-rw-r-- =C2=A01 =
mgsloan mgsloan =C2=A0 =C2=A00 Nov =C2=A09 16:35 =C2=A0test.md<br></div></d=
iv><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On =
Sat, Nov 9, 2019 at 2:24 AM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN=
g">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" s=
tyle=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);pad=
ding-left:1ex">&gt; From: Stefan Kangas &lt;<a href=3D"mailto:stefan@marxis=
t.se" target=3D"_blank">stefan@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 9 Nov 2019 10:12:11 +0100<br>
&gt; Cc: Michael Sloan &lt;<a href=3D"mailto:mgsloan@HIDDEN" target=3D"_=
blank">mgsloan@HIDDEN</a>&gt;, Glenn Morris &lt;<a href=3D"mailto:rgm@gn=
u.org" target=3D"_blank">rgm@HIDDEN</a>&gt;, <a href=3D"mailto:23033@debbu=
gs.gnu.org" target=3D"_blank">23033 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; &gt; I think we should only consider adding punctuation characters, be=
cause<br>
&gt; &gt; that would ensure these lock files are displayed right next to th=
e<br>
&gt; &gt; files they lock, like today.=C2=A0 Moving the lock files away of =
the files<br>
&gt; &gt; they lock in the directory listing would be a disadvantage, IMO.<=
br>
&gt; <br>
&gt; On this MacOS machine, I see the following:<br>
&gt; <br>
&gt; $ ls -al<br>
&gt; total 8<br>
&gt; drwxr-xr-x=C2=A0 11 skangas=C2=A0 staff=C2=A0 =C2=A0352 Nov=C2=A0 9 10=
:05 .<br>
&gt; lrwxr-xr-x=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 33 Nov=C2=A0=
 9 10:05 .#foo -&gt;<br>
&gt; skangas@HIDDEN<br>
&gt; drwxr-xr-x=C2=A0 50 skangas=C2=A0 staff=C2=A0 1600 Nov=C2=A0 9 10:03 .=
.<br>
&gt; -rw-r--r--=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 =C2=A00 Nov=
=C2=A0 9 10:03 a<br>
&gt; -rw-r--r--=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 =C2=A00 Nov=
=C2=A0 9 10:03 e<br>
&gt; -rw-r--r--=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 =C2=A03 Nov=
=C2=A0 9 10:05 foo<br>
&gt; -rw-r--r--=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 =C2=A00 Nov=
=C2=A0 9 10:03 i<br>
&gt; -rw-r--r--=C2=A0 =C2=A01 skangas=C2=A0 staff=C2=A0 =C2=A0 =C2=A00 Nov=
=C2=A0 9 10:03 z<br>
&gt; <br>
&gt; In other words, the lock file is not next to the file it locks.=C2=A0 =
Are<br>
&gt; you seeing something else?<br>
<br>
Yes.<br>
<br>
Is the above Gnu &#39;ls&#39;?=C2=A0 And what is your locale?<br>
<br>
&gt; How would the ordering differ with a suffix like &quot;.lock&quot; com=
pared to<br>
&gt; &quot;#&quot; or some other punctuation character?=C2=A0 I would have =
thought that it<br>
&gt; would be very similar.=C2=A0 Maybe I&#39;m missing something.<br>
<br>
The default file sort order in UTF-8 locales ignores punctuation<br>
characters.<br>
</blockquote></div>

--000000000000dcdc240596f264c8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 9 Nov 2019 09:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 04:24:40 2019
Received: from localhost ([127.0.0.1]:48198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTMz2-0007DW-0t
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:24:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTMz1-0007DL-9p
 for 23033 <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:24:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37145)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTMyv-0004IW-UK; Sat, 09 Nov 2019 04:24:33 -0500
Received: from [176.228.60.248] (port=3967 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTMyu-0005Fw-QG; Sat, 09 Nov 2019 04:24:33 -0500
Date: Sat, 09 Nov 2019 11:24:25 +0200
Message-Id: <83d0e19zcm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
 (message from Stefan Kangas on Sat, 9 Nov 2019 10:12:11 +0100)
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
 <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sat, 9 Nov 2019 10:12:11 +0100
> Cc: Michael Sloan <mgsloan@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org
> 
> > I think we should only consider adding punctuation characters, because
> > that would ensure these lock files are displayed right next to the
> > files they lock, like today.  Moving the lock files away of the files
> > they lock in the directory listing would be a disadvantage, IMO.
> 
> On this MacOS machine, I see the following:
> 
> $ ls -al
> total 8
> drwxr-xr-x  11 skangas  staff   352 Nov  9 10:05 .
> lrwxr-xr-x   1 skangas  staff    33 Nov  9 10:05 .#foo ->
> skangas@HIDDEN
> drwxr-xr-x  50 skangas  staff  1600 Nov  9 10:03 ..
> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 a
> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 e
> -rw-r--r--   1 skangas  staff     3 Nov  9 10:05 foo
> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 i
> -rw-r--r--   1 skangas  staff     0 Nov  9 10:03 z
> 
> In other words, the lock file is not next to the file it locks.  Are
> you seeing something else?

Yes.

Is the above Gnu 'ls'?  And what is your locale?

> How would the ordering differ with a suffix like ".lock" compared to
> "#" or some other punctuation character?  I would have thought that it
> would be very similar.  Maybe I'm missing something.

The default file sort order in UTF-8 locales ignores punctuation
characters.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 9 Nov 2019 09:12:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 04:12:31 2019
Received: from localhost ([127.0.0.1]:48162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTMnG-0006ru-Ty
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:12:31 -0500
Received: from mail-pf1-f169.google.com ([209.85.210.169]:32851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iTMnE-0006rf-IC
 for 23033 <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:12:28 -0500
Received: by mail-pf1-f169.google.com with SMTP id c184so6808674pfb.0
 for <23033 <at> debbugs.gnu.org>; Sat, 09 Nov 2019 01:12:28 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9PZiR3TgpyWZXBuENe+XK/OZek5rEiDeF42I7aOvywo=;
 b=I2hQH+MXK8CucprtZr6d9AqL3V6YFGUk/Tpx5DMSnxLPx7UXbLlVQf8anwgrIShKuM
 X30Z96opHTMyNOCIwvG7w4CAi1jw4s6Xi9NTe41mrwXHxOsTYTwcy207eCpahFPzFQQG
 eYshI3fJSNbliiUUlfsADrZDSvrJrdvbHiudr4eY7xToqDBng0j7tcvN4djBTCfoRS/d
 9f4wkzo5pM6Hr1dbj14cNT6VGf19edd33ZDv/OG3bHbHRd6ORoDGQ9q3K6JLEE7FlMJP
 6WtALJUNSZSqhWnP6aSKjGsUeojy69W2HTgxgNbZGZmKBW3l33PE3/VWKeS+W9/54alZ
 kukw==
X-Gm-Message-State: APjAAAUv+ZbWEXMJQ2ZXe3mFM6bOi8CqgZXS0xDwR3DSUebNFt6Bj947
 YwrkBPyy7WsXv8omIGY6IVePlJ/7iQ6GdQ34woE=
X-Google-Smtp-Source: APXvYqyQ/pKbHAkqOTg7swgMFrwT94vDgxI/tgFl81dOReDO6gGVJTreLKCT4UMi059S5BmDz9C6ToThWxhnAaZcL6c=
X-Received: by 2002:aa7:9295:: with SMTP id j21mr407120pfa.50.1573290742663;
 Sat, 09 Nov 2019 01:12:22 -0800 (PST)
MIME-Version: 1.0
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 <83imnta3y6.fsf@HIDDEN>
In-Reply-To: <83imnta3y6.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 9 Nov 2019 10:12:11 +0100
Message-ID: <CADwFkmmRgDqA-f2Ls=jxFVPyD_nzy82Z3WMORhdLQTELrBAUvA@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 23033
Cc: Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org,
 Michael Sloan <mgsloan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> > I propose keeping the traditional `.#` prefix but adding a `.lock` suffix.

OK, if that works on Windows it's better than what I proposed.

> I think we should only consider adding punctuation characters, because
> that would ensure these lock files are displayed right next to the
> files they lock, like today.  Moving the lock files away of the files
> they lock in the directory listing would be a disadvantage, IMO.

On this MacOS machine, I see the following:

$ ls -al
total 8
drwxr-xr-x  11 skangas  staff   352 Nov  9 10:05 .
lrwxr-xr-x   1 skangas  staff    33 Nov  9 10:05 .#foo ->
skangas@HIDDEN
drwxr-xr-x  50 skangas  staff  1600 Nov  9 10:03 ..
-rw-r--r--   1 skangas  staff     0 Nov  9 10:03 a
-rw-r--r--   1 skangas  staff     0 Nov  9 10:03 e
-rw-r--r--   1 skangas  staff     3 Nov  9 10:05 foo
-rw-r--r--   1 skangas  staff     0 Nov  9 10:03 i
-rw-r--r--   1 skangas  staff     0 Nov  9 10:03 z

In other words, the lock file is not next to the file it locks.  Are
you seeing something else?

How would the ordering differ with a suffix like ".lock" compared to
"#" or some other punctuation character?  I would have thought that it
would be very similar.  Maybe I'm missing something.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 9 Nov 2019 07:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 02:45:21 2019
Received: from localhost ([127.0.0.1]:48110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTLQv-0004iT-IH
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 02:45:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTLQt-0004iF-W7
 for 23033 <at> debbugs.gnu.org; Sat, 09 Nov 2019 02:45:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36476)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTLQo-0002zM-FO; Sat, 09 Nov 2019 02:45:14 -0500
Received: from [176.228.60.248] (port=1835 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTLQm-0000hI-NY; Sat, 09 Nov 2019 02:45:13 -0500
Date: Sat, 09 Nov 2019 09:45:05 +0200
Message-Id: <83imnta3y6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Sloan <mgsloan@HIDDEN>
In-reply-to: <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
 (message from Michael Sloan on Fri, 8 Nov 2019 22:17:29 -0800)
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
 <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, stefan@HIDDEN, 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Sloan <mgsloan@HIDDEN>
> Date: Fri, 8 Nov 2019 22:17:29 -0800
> Cc: Eli Zaretskii <eliz@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org
> 
> Appending `.lock` seems fine to me (note the period rather than hyphen).  I don't find it ugly, instead
> explanatory!  If users do see these file names, then it is clearer that they are lock files.  There is precedent for
> use of this file extension[0], and there's also lots of precedent for stacking file extensions.
> 
> I propose keeping the traditional `.#` prefix but adding a `.lock` suffix.

I think we should only consider adding punctuation characters, because
that would ensure these lock files are displayed right next to the
files they lock, like today.  Moving the lock files away of the files
they lock in the directory listing would be a disadvantage, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 9 Nov 2019 06:18:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 01:18:15 2019
Received: from localhost ([127.0.0.1]:48076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTK4d-0002Q4-0Z
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 01:18:15 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:42106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mgsloan@HIDDEN>) id 1iTK4Y-0002Pk-U9
 for 23033 <at> debbugs.gnu.org; Sat, 09 Nov 2019 01:18:13 -0500
Received: by mail-qk1-f171.google.com with SMTP id m4so7037165qke.9
 for <23033 <at> debbugs.gnu.org>; Fri, 08 Nov 2019 22:18:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BbiEWlrKU6xeHKHs/IUwZNp35XQcyV0sd5poCdnyyRA=;
 b=DU7ocYnA095WDFicbhUBD1si8vcZKCK/3/7RvyQeUqfpJ/C9ROk78f2wBgWayk0HvR
 gsy278MHuFhpJ/Cz11Vvr1+h3Hn+zOZQ2mYBHg+shz0y56vC+LW6OJ/BUrEtOluk7+Mq
 g1lkJdnwzWJ2fjCVskyyLUPMRpepGzo58SNkEHcPoCP/p6K1XlBluu9fQZ5aqFRloFJN
 /yGumXrJyKr22dfuWjIzQADIrMRIr7zPgV9s5yQF+9KsaWD8VPQzgVeNYqzaK00TqqYM
 sGg+mOzzn7Iu8JGZh5rh4NGKbCnDqgjpW1OnoCTgNr97sT8ygktXOKmwwYrbtAtkrzXW
 nNLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BbiEWlrKU6xeHKHs/IUwZNp35XQcyV0sd5poCdnyyRA=;
 b=phqZRZbgIqUnxvFQTs6Uqok+20B08E/Hu4t1/uwq19vCqhFwdK6AFWjMAL0RjhG/l+
 fgHsuKryveShxnFLIeSj6by7eFaliZ93IKIugiy85uHiycgJ/sm13/46kiAw84si1SBj
 gZcD6N6F5YiASR9Wb5DpehPbDeNTqh1WEB7BT7PeW5AHqNCw01KAJP+ndrmST1ZcxXJR
 n8jBUlHYzSAH1rcxsc85okSJ9ublDS52nn0d6LHk95Y3Udy2qncLM53U1A3B/+i8FgNC
 Wwx7PUcL9yVCyXlTMYv/U8o4cALMErJiIF9s8pevaYNf2jlK9uEqysQJ1rjEnC3urHld
 bm8A==
X-Gm-Message-State: APjAAAX9iO2inbCsbGv3pqGFlWGx33qTCHswMZ+r1LdX/TcfwZPJ26bD
 8t9XQfDtcKGuy3CPOYZidZNL1n47gWoR4zt+8Qc=
X-Google-Smtp-Source: APXvYqxasZuX1yRn1eKzBNtABJZvmQ0OH2tp6PvtiwmvjGMBMycHwlaLf752XsOsPAKNNcXpWDNy5QuCkfTapKdrL70=
X-Received: by 2002:a37:4dd2:: with SMTP id a201mr727321qkb.5.1573280285169;
 Fri, 08 Nov 2019 22:18:05 -0800 (PST)
MIME-Version: 1.0
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
In-Reply-To: <875zjutq51.fsf@HIDDEN>
From: Michael Sloan <mgsloan@HIDDEN>
Date: Fri, 8 Nov 2019 22:17:29 -0800
Message-ID: <CAEDDsWd5UU400i1KH+VPtbT7CO1_wLTvms58dLZSYZd_a1G2jQ@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000879cc80596e3dc48"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: Glenn Morris <rgm@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000879cc80596e3dc48
Content-Type: text/plain; charset="UTF-8"

On Fri, Nov 8, 2019 at 6:10 AM Stefan Kangas <stefan@HIDDEN> wrote:

> (The most clear would be a suffix "-emacs-lock" or "-lock" but that is
> probably too ugly and long.)
>

Appending `.lock` seems fine to me (note the period rather than hyphen).  I
don't find it ugly, instead explanatory!  If users do see these file names,
then it is clearer that they are lock files.  There is precedent for use of
this file extension[0], and there's also lots of precedent for stacking
file extensions.

I propose keeping the traditional `.#` prefix but adding a `.lock` suffix.

[0]: https://fileinfo.com/extension/lock

--000000000000879cc80596e3dc48
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">On Fri, Nov 8, 2019 at 6:10 AM Stefan Kan=
gas &lt;<a href=3D"mailto:stefan@HIDDEN">stefan@HIDDEN</a>&gt; wrot=
e:<br></div><div class=3D"gmail_quote"><blockquote class=3D"gmail_quote" st=
yle=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padd=
ing-left:1ex">
(The most clear would be a suffix &quot;-emacs-lock&quot; or &quot;-lock&qu=
ot; but that is<br>
probably too ugly and long.)<br></blockquote><div><br>Appending `.lock` see=
ms fine to me (note the period rather than hyphen).=C2=A0 I don&#39;t find =
it ugly, instead explanatory!=C2=A0 If users do see these file names, then =
it is clearer that they are lock files.=C2=A0 There is precedent for use of=
 this file extension[0], and there&#39;s also lots of precedent for stackin=
g file extensions.<br><br></div><div>I propose keeping the traditional `.#`=
 prefix but adding a `.lock` suffix.</div><div><br></div><div>[0]:=C2=A0<a =
href=3D"https://fileinfo.com/extension/lock">https://fileinfo.com/extension=
/lock</a>=C2=A0</div></div></div>

--000000000000879cc80596e3dc48--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 19:20:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 14:20:13 2019
Received: from localhost ([127.0.0.1]:47634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT9np-00008r-30
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 14:20:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT9no-00008Z-4V
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 14:20:12 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53945)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT9ni-0002fo-Vm; Fri, 08 Nov 2019 14:20:07 -0500
Received: from [176.228.60.248] (port=4160 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT9nh-0001m3-7a; Fri, 08 Nov 2019 14:20:06 -0500
Date: Fri, 08 Nov 2019 21:19:55 +0200
Message-Id: <835zjub2g4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <875zjutq51.fsf@HIDDEN> (message from Stefan Kangas on Fri,
 08 Nov 2019 15:10:50 +0100)
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN> <875zjutq51.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Cc: rgm@HIDDEN,  23033 <at> debbugs.gnu.org,  mgsloan@HIDDEN
> Date: Fri, 08 Nov 2019 15:10:50 +0100
> 
> My suggestion would be to add a one character suffix to the file name.
> For example "."

This isn't portable enough, it won't work on MS-Windows, where an
empty extension is "normalized" by the file-name APIs in a way that
removes the last dot, so you get the file name without the last dot.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 14:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 09:31:40 2019
Received: from localhost ([127.0.0.1]:45120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT5IY-00015q-2w
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:31:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT5IW-00015d-KR
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:31:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48510)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT5IR-0003Xs-2A; Fri, 08 Nov 2019 09:31:31 -0500
Received: from [176.228.60.248] (port=2311 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT5IQ-0001OG-ED; Fri, 08 Nov 2019 09:31:30 -0500
Date: Fri, 08 Nov 2019 16:31:21 +0200
Message-Id: <83v9rubft2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <878soqtqgk.fsf@HIDDEN> (message from Stefan Kangas on Fri,
 08 Nov 2019 15:03:55 +0100)
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <CAEDDsWfeZfsOPrJ+5WU46KhDs1RFQ4BcUNzL-L3OSYU7dDGjiw@HIDDEN>
 <83d0e2cx8e.fsf@HIDDEN> <878soqtqgk.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Cc: Michael Sloan <mgsloan@HIDDEN>,  23033 <at> debbugs.gnu.org
> Date: Fri, 08 Nov 2019 15:03:55 +0100
> 
> I agree with the general sentiment, but consider the amount of bugs
> that Michael linked where the name "emacs" crops up.  Appearances
> matters, to a certain extent.  To my mind it would be preferable, in
> general, if we could avoid having a bunch of bug reports (because of
> someone elses sloppiness in this case, yes) where it initially and
> incorrectly may look like the culprit is "Emacs and its backwards
> practices".

Once again, this discussion is quite academic unless someone proposes
a specific change to consider.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 14:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 09:11:00 2019
Received: from localhost ([127.0.0.1]:45069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT4ya-0000WT-Jc
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:11:00 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:42996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iT4yY-0000WG-SF
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:10:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vcd7Y168jbK5uqHVBm1nCRoBNvpMtNNzRMu6Rol5CX4=; b=rSFSMy1VtdkOd4iLMDR/14Fc8S
 HhDHDF/pqfIuDFRyPcRNp/LGHCmvwjCCfype8ih8eeHejh8ejxuoR0LbZtukM3fulFRINHRafjGHq
 1KaF9jtShY52p4EMzyiayFOHj2gvqVRfMRypAv2kY/Di7A1eaqkTzBm0IDLQxCsSsJPU=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:53522
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iT4yS-0007xV-Qc; Fri, 08 Nov 2019 08:10:53 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
In-Reply-To: <83eeyicxh7.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Nov
 2019 15:24:20 +0200")
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <83eeyicxh7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Fri, 08 Nov 2019 15:10:50 +0100
Message-ID: <875zjutq51.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Stefan Kangas <stefan@HIDDEN>
>> Date: Fri, 08 Nov 2019 06:00:14 +0100
>> Cc: 23033 <at> debbugs.gnu.org, Michael Sloan <mgsloan@HIDDEN>
>> 
>> As much as I agree with the general sentiment above, one could also
>> consider users who are running e.g. 'find -iname "*.hs"' and are not
>> necessarily interested in seeing Emacs lock files.  IOW, if this is
>> not a big change, it could be worth doing it.
>
> What change did you have in mind?  AFAICT, no specific change was
> proposed in that bug report.
>
> The advantage of the current method is that Dired and 'ls' display the
> lock file right near the file that is locked, at least on most systems
> and with the default file sorting order.  If the change proposal will
> order them far apart, it would be a disadvantage.

My suggestion would be to add a one character suffix to the file name.
For example ".", so that:

lrwxrwxrwx  1 skangas skangas     30 2019-11-08 15:06 .#package.el -> skangas@HIDDEN:1572461517

Would instead look like:

lrwxrwxrwx  1 skangas skangas     30 2019-11-08 15:06 .#package.el. -> skangas@HIDDEN:1572461517

That, I think, looks visually not too busy.

(The most clear would be a suffix "-emacs-lock" or "-lock" but that is
probably too ugly and long.)

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 14:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 09:04:05 2019
Received: from localhost ([127.0.0.1]:45058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT4rt-0000LF-3W
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:04:05 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:36942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iT4rr-0000KR-EV
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:04:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=i0jIkJHFeWfvMn55l44ksNOazRGwBR3Qcgvvl1+1uuE=; b=GVFUA74YXn4SUbppyYiRb4LLdV
 nMPGBUIBC8RZvP7NVavhc5AgfH3PqTw7A9Cqv6oB/lPX32NaHCdQIuqSihn5HQJVo0xTnWE5eHnwD
 OXRGoVQGeDBiqpdCG0GSRadXmEslXRDy5Z+VRxFX2QkM01mvcM0wI8DxbbdhfFPXGFzk=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:50560
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iT4rl-0006Zt-9R; Fri, 08 Nov 2019 08:03:57 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
In-Reply-To: <83d0e2cx8e.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Nov
 2019 15:29:37 +0200")
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <CAEDDsWfeZfsOPrJ+5WU46KhDs1RFQ4BcUNzL-L3OSYU7dDGjiw@HIDDEN>
 <83d0e2cx8e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Fri, 08 Nov 2019 15:03:55 +0100
Message-ID: <878soqtqgk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: 23033 <at> debbugs.gnu.org, Michael Sloan <mgsloan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Michael Sloan <mgsloan@HIDDEN>
>> Date: Thu, 7 Nov 2019 23:17:16 -0700
>> Cc: 23033 <at> debbugs.gnu.org
>> 
>> Correct, it is easy to fix in the tens of thousands of places where it can cause misbehavior :)  But it is probably
>> easier to fix it one place.
>
> Easier for whom?

For humanity, taken as a whole, I think.  :-)

> These tools all have bugs: they choke on symlinks that point to
> non-existent targets.  There could be symlinks like that which have
> nothing to do with Emacs's lock files.  So from my POV we did those
> tools a favor by exposing their bugs ;-)  I see no reason to sweep
> the bugs of those packages under the carpet so as to make it easier
> for their developers to keep those bugs.

I agree with the general sentiment, but consider the amount of bugs
that Michael linked where the name "emacs" crops up.  Appearances
matters, to a certain extent.  To my mind it would be preferable, in
general, if we could avoid having a bunch of bug reports (because of
someone elses sloppiness in this case, yes) where it initially and
incorrectly may look like the culprit is "Emacs and its backwards
practices".

More importantly, I think, is what I mentioned before: this could
inconvenience users trying to run stuff using "find -iname '*.c'" and
the like, only to run into emacs lock files.  I do expect the tools
above to get their house in order and just Fix Their Bugs, but random
users doing one-offs is a different question.

That said, I don't feel super strongly about this.  I consider it a
minor cosmetic blemish.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 13:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 08:30:15 2019
Received: from localhost ([127.0.0.1]:44970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT4L8-0007rQ-UM
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 08:30:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT4L4-0007qB-Mb
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 08:30:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47578)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT4Kz-0001sa-CO; Fri, 08 Nov 2019 08:30:05 -0500
Received: from [176.228.60.248] (port=2397 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT4Kw-0007g2-GR; Fri, 08 Nov 2019 08:30:05 -0500
Date: Fri, 08 Nov 2019 15:29:37 +0200
Message-Id: <83d0e2cx8e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Sloan <mgsloan@HIDDEN>
In-reply-to: <CAEDDsWfeZfsOPrJ+5WU46KhDs1RFQ4BcUNzL-L3OSYU7dDGjiw@HIDDEN>
 (message from Michael Sloan on Thu, 7 Nov 2019 23:17:16 -0700)
Subject: Re: bug#23033: 24.5;
 Lock file uses the same extension as the file it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
 <CAEDDsWfeZfsOPrJ+5WU46KhDs1RFQ4BcUNzL-L3OSYU7dDGjiw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: stefan@HIDDEN, 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Sloan <mgsloan@HIDDEN>
> Date: Thu, 7 Nov 2019 23:17:16 -0700
> Cc: 23033 <at> debbugs.gnu.org
> 
> Correct, it is easy to fix in the tens of thousands of places where it can cause misbehavior :)  But it is probably
> easier to fix it one place.

Easier for whom?

These tools all have bugs: they choke on symlinks that point to
non-existent targets.  There could be symlinks like that which have
nothing to do with Emacs's lock files.  So from my POV we did those
tools a favor by exposing their bugs ;-)  I see no reason to sweep
the bugs of those packages under the carpet so as to make it easier
for their developers to keep those bugs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 13:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 08:24:58 2019
Received: from localhost ([127.0.0.1]:44965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT4G2-0007hl-7I
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 08:24:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT4Fz-0007hY-SQ
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 08:24:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47449)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT4Fu-0007gQ-NU; Fri, 08 Nov 2019 08:24:50 -0500
Received: from [176.228.60.248] (port=2043 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT4Fq-0008OG-OW; Fri, 08 Nov 2019 08:24:49 -0500
Date: Fri, 08 Nov 2019 15:24:20 +0200
Message-Id: <83eeyicxh7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <87pni3t129.fsf@HIDDEN> (message from Stefan Kangas on Fri,
 08 Nov 2019 06:00:14 +0100)
Subject: Re: bug#23033: 24.5;
 Lock file uses the same extension as the file it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23033
Cc: rgm@HIDDEN, 23033 <at> debbugs.gnu.org, mgsloan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 08 Nov 2019 06:00:14 +0100
> Cc: 23033 <at> debbugs.gnu.org, Michael Sloan <mgsloan@HIDDEN>
> 
> As much as I agree with the general sentiment above, one could also
> consider users who are running e.g. 'find -iname "*.hs"' and are not
> necessarily interested in seeing Emacs lock files.  IOW, if this is
> not a big change, it could be worth doing it.

What change did you have in mind?  AFAICT, no specific change was
proposed in that bug report.

The advantage of the current method is that Dired and 'ls' display the
lock file right near the file that is locked, at least on most systems
and with the default file sorting order.  If the change proposal will
order them far apart, it would be a disadvantage.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 06:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 01:18:01 2019
Received: from localhost ([127.0.0.1]:44494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSxar-0000se-62
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 01:18:01 -0500
Received: from mail-qk1-f170.google.com ([209.85.222.170]:38950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mgsloan@HIDDEN>) id 1iSxap-0000sL-7W
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 01:17:59 -0500
Received: by mail-qk1-f170.google.com with SMTP id 15so4294673qkh.6
 for <23033 <at> debbugs.gnu.org>; Thu, 07 Nov 2019 22:17:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=iPPSVmMRMWpZXqVmXoVU4xQd0feoHXnM7N7JAHSyTpc=;
 b=vMaEis8IBJPiHDGmTt/cc6+FJAE6/AUT7zv7yYfQcBYczuKL200iYJoHL9XY5beMPt
 4gGGKO3acFYHK928JyZ+wriKsuShZaDO5VfKDHtwtblOWPg8f6/flnHAd4HvWgkyklBe
 4UHp3FtQd7yyIYqddZo6qPpD+VbyOp4ujYGQfhFx2p4hgObY0LLGxi/GQgk7yDdTYMoM
 dVbaXURh2p+Rs1oiItWYjDeSU6neoDxcVaTOMV7vjApnlZ+QahxoAZJZ1L7yB7vTK96i
 KRSKLzmFj4zTsIE/heEb8IuMBv1NNPmUqcwMw7IoG55pa/Cg0dWL+Rwm+tD/yP95QyHm
 ICsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=iPPSVmMRMWpZXqVmXoVU4xQd0feoHXnM7N7JAHSyTpc=;
 b=J/6ng6M5YjpAJVAg29N7L2qRZ484ZyzT80QVCdnXBbnFEdjJh62Hdv4H0c+EEjqNOC
 7wuqhQtkIRLtYOpIi2zc47Bm4FFuzBnUT8Npz0yGcqOqx9qAPOBELo7V8tfmB2VRPQEY
 cHdOQKly9s3MymPJ1Vi6ymcffgDHN3lY2nyi7ApHY0r1fxNPHNu7xljUsby+LTSv1l/r
 ckovTemNcZTM+VdvEfH/qgc6CV4UC0KBH32AXmTFRPXBL4nXZFLnbXjVeU11FHVqzVzw
 AxL0JtpInau3AQQNCYD0UlRzlCU10EvBN87p/3UergB0/RFRx4ah1eal3Yq5JdXBWQ7Q
 kN7g==
X-Gm-Message-State: APjAAAU2f00xYPOmetzbD0cKkP4vPqkGVGEi6fibwDV6XaowWzA2SXXN
 Y7GFawKSmH5HvJBM2TF2D23LFiVpSht2uVwxVdo=
X-Google-Smtp-Source: APXvYqyqY8rsYNGcUsr5SgeMVdMzLM7A/zr2P3AM9nLNHXFSVIL5WiLolhu3mFpHedIyfRrxMsIfVw6I6Z2vdOFwRMc=
X-Received: by 2002:a37:c247:: with SMTP id j7mr7197329qkm.67.1573193872738;
 Thu, 07 Nov 2019 22:17:52 -0800 (PST)
MIME-Version: 1.0
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN> <87pni3t129.fsf@HIDDEN>
In-Reply-To: <87pni3t129.fsf@HIDDEN>
From: Michael Sloan <mgsloan@HIDDEN>
Date: Thu, 7 Nov 2019 23:17:16 -0700
Message-ID: <CAEDDsWfeZfsOPrJ+5WU46KhDs1RFQ4BcUNzL-L3OSYU7dDGjiw@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f28e140596cfbd30"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: Glenn Morris <rgm@HIDDEN>, 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f28e140596cfbd30
Content-Type: text/plain; charset="UTF-8"

Correct, it is easy to fix in the tens of thousands of places where it can
cause misbehavior :)  But it is probably easier to fix it one place.

Here are some example issues I found searching for "emacs lockfile glob"
yields 22 results -
https://github.com/search?q=emacs+lockfile+glob&type=Issues - here are some
relevant ones:

* https://github.com/joeyespo/pytest-watch/issues/68
* https://github.com/joeyespo/pytest-watch/pull/101
* https://github.com/broccolijs/broccoli/issues/233
* https://github.com/michaelwayman/node-sass-chokidar/issues/24
* https://github.com/lammps/lammps/issues/1111

Searching for emacs "lockfile" yields 733 results -
https://github.com/search?q=emacs+"lockfile"&type=Issues
<https://github.com/search?q=emacs+%22lockfile%22&type=Issues> - here are
some relevant ones:

* https://github.com/microsoft/TypeScript/issues/29461
* https://github.com/jekyll/jekyll/issues/7888
* https://github.com/lukaszb/nose-watch/issues/15
* https://github.com/pylint-bot/pylint-unofficial/issues/367
* https://github.com/michaelwayman/node-sass-chokidar/issues/74
* https://github.com/karun012/arion/issues/30
* https://github.com/ananthakumaran/tide/issues/320

It is common to list files by extension.  I'm sure that this is just the
tip of the iceberg.

-Michael

On Thu, Nov 7, 2019 at 10:00 PM Stefan Kangas <stefan@HIDDEN> wrote:

> Glenn Morris <rgm@HIDDEN> writes:
>
> > Michael Sloan wrote:
> >
> >> Lockfiles help the circumstance where multiple emacs processes are
> >> editing the same file. The lockfile for 'File.hs' gets the name
> >> '.#File.hs'.  This means that naive enumeration of all the files in the
> >> directory with the extension '.hs' will also yield the lockfile.  Many
> >> tools have behaviors that rely on enumerating all of the files which
> >> have a particular extension, reasonably assuming that the user put them
> >> there.
> >
> > It's very long-standing behaviour.
> > So that we can assess how big the issue is, can you give some examples
> > of the tools that have issues with this?
> > As you say, it seems naive for a tool to simply find all files with a
> > given extension, including dotfiles that are non-existent symlinks.
> >
> >> In particular, for me this caused the following issue:
> >> https://github.com/commercialhaskell/stack/issues/1897
> >
> > Which you fixed the same day in the tool in question, right?
>
> As much as I agree with the general sentiment above, one could also
> consider users who are running e.g. 'find -iname "*.hs"' and are not
> necessarily interested in seeing Emacs lock files.  IOW, if this is
> not a big change, it could be worth doing it.  But it is mostly
> cosmetic.
>
> Best regards,
> Stefan Kangas
>

--000000000000f28e140596cfbd30
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Correct, it is easy to fix in the tens of thousands of pla=
ces where it can cause misbehavior :)=C2=A0 But it is probably easier to fi=
x it one place.<br><div><br></div><div>Here are some example issues I found=
 searching for &quot;emacs lockfile glob&quot;=C2=A0 yields 22 results -=C2=
=A0<a href=3D"https://github.com/search?q=3Demacs+lockfile+glob&amp;type=3D=
Issues">https://github.com/search?q=3Demacs+lockfile+glob&amp;type=3DIssues=
</a>=C2=A0- here are some relevant ones:<br><br>*=C2=A0<a href=3D"https://g=
ithub.com/joeyespo/pytest-watch/issues/68">https://github.com/joeyespo/pyte=
st-watch/issues/68</a></div><div>*=C2=A0<a href=3D"https://github.com/joeye=
spo/pytest-watch/pull/101">https://github.com/joeyespo/pytest-watch/pull/10=
1</a><br>*=C2=A0<a href=3D"https://github.com/broccolijs/broccoli/issues/23=
3">https://github.com/broccolijs/broccoli/issues/233</a><br>*=C2=A0<a href=
=3D"https://github.com/michaelwayman/node-sass-chokidar/issues/24">https://=
github.com/michaelwayman/node-sass-chokidar/issues/24</a><br>*=C2=A0<a href=
=3D"https://github.com/lammps/lammps/issues/1111">https://github.com/lammps=
/lammps/issues/1111</a></div><div><br></div><div>Searching for emacs &quot;=
lockfile&quot; yields 733 results -=C2=A0<a href=3D"https://github.com/sear=
ch?q=3Demacs+%22lockfile%22&amp;type=3DIssues">https://github.com/search?q=
=3Demacs+&quot;lockfile&quot;&amp;type=3DIssues</a>=C2=A0-=C2=A0here are so=
me relevant ones:</div><div><br>*=C2=A0<a href=3D"https://github.com/micros=
oft/TypeScript/issues/29461">https://github.com/microsoft/TypeScript/issues=
/29461</a><br>*=C2=A0<a href=3D"https://github.com/jekyll/jekyll/issues/788=
8">https://github.com/jekyll/jekyll/issues/7888</a></div><div>*=C2=A0<a hre=
f=3D"https://github.com/lukaszb/nose-watch/issues/15">https://github.com/lu=
kaszb/nose-watch/issues/15</a></div><div>*=C2=A0<a href=3D"https://github.c=
om/pylint-bot/pylint-unofficial/issues/367">https://github.com/pylint-bot/p=
ylint-unofficial/issues/367</a><br>*=C2=A0<a href=3D"https://github.com/mic=
haelwayman/node-sass-chokidar/issues/74">https://github.com/michaelwayman/n=
ode-sass-chokidar/issues/74</a><br>*=C2=A0<a href=3D"https://github.com/kar=
un012/arion/issues/30">https://github.com/karun012/arion/issues/30</a><br>*=
=C2=A0<a href=3D"https://github.com/ananthakumaran/tide/issues/320">https:/=
/github.com/ananthakumaran/tide/issues/320</a><br><br>It is common to list =
files by extension.=C2=A0 I&#39;m sure that this is just the tip of the ice=
berg.<br><br></div><div>-Michael</div></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Thu, Nov 7, 2019 at 10:00 PM Stefa=
n Kangas &lt;<a href=3D"mailto:stefan@HIDDEN">stefan@HIDDEN</a>&gt;=
 wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px =
0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Glenn Mo=
rris &lt;<a href=3D"mailto:rgm@HIDDEN" target=3D"_blank">rgm@HIDDEN</a>&g=
t; writes:<br>
<br>
&gt; Michael Sloan wrote:<br>
&gt;<br>
&gt;&gt; Lockfiles help the circumstance where multiple emacs processes are=
<br>
&gt;&gt; editing the same file. The lockfile for &#39;File.hs&#39; gets the=
 name<br>
&gt;&gt; &#39;.#File.hs&#39;.=C2=A0 This means that naive enumeration of al=
l the files in the<br>
&gt;&gt; directory with the extension &#39;.hs&#39; will also yield the loc=
kfile.=C2=A0 Many<br>
&gt;&gt; tools have behaviors that rely on enumerating all of the files whi=
ch<br>
&gt;&gt; have a particular extension, reasonably assuming that the user put=
 them<br>
&gt;&gt; there.<br>
&gt;<br>
&gt; It&#39;s very long-standing behaviour.<br>
&gt; So that we can assess how big the issue is, can you give some examples=
<br>
&gt; of the tools that have issues with this?<br>
&gt; As you say, it seems naive for a tool to simply find all files with a<=
br>
&gt; given extension, including dotfiles that are non-existent symlinks.<br=
>
&gt;<br>
&gt;&gt; In particular, for me this caused the following issue:<br>
&gt;&gt; <a href=3D"https://github.com/commercialhaskell/stack/issues/1897"=
 rel=3D"noreferrer" target=3D"_blank">https://github.com/commercialhaskell/=
stack/issues/1897</a><br>
&gt;<br>
&gt; Which you fixed the same day in the tool in question, right?<br>
<br>
As much as I agree with the general sentiment above, one could also<br>
consider users who are running e.g. &#39;find -iname &quot;*.hs&quot;&#39; =
and are not<br>
necessarily interested in seeing Emacs lock files.=C2=A0 IOW, if this is<br=
>
not a big change, it could be worth doing it.=C2=A0 But it is mostly<br>
cosmetic.<br>
<br>
Best regards,<br>
Stefan Kangas<br>
</blockquote></div>

--000000000000f28e140596cfbd30--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 8 Nov 2019 05:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 00:00:26 2019
Received: from localhost ([127.0.0.1]:44445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSwNl-0005dz-No
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 00:00:26 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:37066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iSwNi-0005Ud-3b
 for 23033 <at> debbugs.gnu.org; Fri, 08 Nov 2019 00:00:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iMxjwG0KGGjdiix4IRS9uQP8YrKnycOmRXC+eCqIBpk=; b=tt7nnyv1JH49MLpWPyfLOj4AIK
 R/117+4UBup+dp89j2dpGapVv3vgXfMxaNUAsAsQINNbezRebnPVVIfv2u2zTcv63EOolYCx2sOby
 okSOgIU+hh7E1lxmzj66m66ZI9l3jKRMqPvG6RyVMBK0+BJZR3XB4e/n79GoT3gsIvL8=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:45608
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iSwNc-0001JP-2R; Thu, 07 Nov 2019 23:00:16 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#23033: 24.5; Lock file uses the same extension as the file
 it's locking
In-Reply-To: <8jy49fnrpl.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 18 Mar 2016 22:09:58 -0400")
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 <8jy49fnrpl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Fri, 08 Nov 2019 06:00:14 +0100
Message-ID: <87pni3t129.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23033
Cc: 23033 <at> debbugs.gnu.org, Michael Sloan <mgsloan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Michael Sloan wrote:
>
>> Lockfiles help the circumstance where multiple emacs processes are
>> editing the same file. The lockfile for 'File.hs' gets the name
>> '.#File.hs'.  This means that naive enumeration of all the files in the
>> directory with the extension '.hs' will also yield the lockfile.  Many
>> tools have behaviors that rely on enumerating all of the files which
>> have a particular extension, reasonably assuming that the user put them
>> there.
>
> It's very long-standing behaviour.
> So that we can assess how big the issue is, can you give some examples
> of the tools that have issues with this?
> As you say, it seems naive for a tool to simply find all files with a
> given extension, including dotfiles that are non-existent symlinks.
>
>> In particular, for me this caused the following issue:
>> https://github.com/commercialhaskell/stack/issues/1897
>
> Which you fixed the same day in the tool in question, right?

As much as I agree with the general sentiment above, one could also
consider users who are running e.g. 'find -iname "*.hs"' and are not
necessarily interested in seeing Emacs lock files.  IOW, if this is
not a big change, it could be worth doing it.  But it is mostly
cosmetic.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.

Message received at 23033 <at> debbugs.gnu.org:


Received: (at 23033) by debbugs.gnu.org; 19 Mar 2016 02:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 18 22:10:09 2016
Received: from localhost ([127.0.0.1]:53121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ah6LA-0002JB-S3
	for submit <at> debbugs.gnu.org; Fri, 18 Mar 2016 22:10:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1ah6L9-0002Ix-IF
 for 23033 <at> debbugs.gnu.org; Fri, 18 Mar 2016 22:10:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ah6L3-0000OK-Ik
 for 23033 <at> debbugs.gnu.org; Fri, 18 Mar 2016 22:10:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36213)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ah6L1-0000O6-Ur; Fri, 18 Mar 2016 22:09:59 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ah6L1-0003Xj-7E; Fri, 18 Mar 2016 22:09:59 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Sloan <mgsloan@HIDDEN>
Subject: Re: bug#23033: 24.5;
 Lock file uses the same extension as the file it's locking
References: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
X-Spook: SAFE Consul San Diego Irish Republican Army Border Narco
X-Ran: 9l[~Ct||rZCc.'Q|[5LE)`K?+As*\&Jbc5=7a,Q)dU?XbD.}P]p^jTS&x<_{5+C<!}=m!T
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 18 Mar 2016 22:09:58 -0400
In-Reply-To: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
 (Michael Sloan's message of "Wed, 16 Mar 2016 14:35:31 -0700")
Message-ID: <8jy49fnrpl.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23033
Cc: 23033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Michael Sloan wrote:

> Lockfiles help the circumstance where multiple emacs processes are
> editing the same file. The lockfile for 'File.hs' gets the name
> '.#File.hs'.  This means that naive enumeration of all the files in the
> directory with the extension '.hs' will also yield the lockfile.  Many
> tools have behaviors that rely on enumerating all of the files which
> have a particular extension, reasonably assuming that the user put them
> there.

It's very long-standing behaviour.
So that we can assess how big the issue is, can you give some examples
of the tools that have issues with this?
As you say, it seems naive for a tool to simply find all files with a
given extension, including dotfiles that are non-existent symlinks.

> In particular, for me this caused the following issue:
> https://github.com/commercialhaskell/stack/issues/1897

Which you fixed the same day in the tool in question, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Mar 2016 21:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 17:52:41 2016
Received: from localhost ([127.0.0.1]:50501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1agJMv-0004Gy-9y
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 17:52:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6o-0003tX-8N
 for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 17:36:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6i-0003Sd-3E
 for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 17:35:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36000)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6h-0003SW-W7
 for submit <at> debbugs.gnu.org; Wed, 16 Mar 2016 17:35:56 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43466)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6g-0007eY-Qm
 for bug-gnu-emacs@HIDDEN; Wed, 16 Mar 2016 17:35:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6f-0003QW-J3
 for bug-gnu-emacs@HIDDEN; Wed, 16 Mar 2016 17:35:54 -0400
Received: from mail-oi0-x229.google.com ([2607:f8b0:4003:c06::229]:34924)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mgsloan@HIDDEN>) id 1agJ6f-0003Q5-Cj
 for bug-gnu-emacs@HIDDEN; Wed, 16 Mar 2016 17:35:53 -0400
Received: by mail-oi0-x229.google.com with SMTP id c203so49038193oia.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Mar 2016 14:35:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=/NNf0/urnb7qApwjghXNINjU5SBm/TzTlnvvGLgfi/o=;
 b=Y5tRnYkBnPJRnZ4WxoL1JcHWhcCwi0jOKrVwlS7BGk0iExVKWcPh+yOC3jfeugOgf3
 bztKVxK+8XSfy2WcEaxejSSfoKMUvVZt0Be88iWSfRsSLkojtXpqQ6hE8zFKn0EWUSCO
 MjOvfR8ITwEtgVODBp+MQPqOXmd0DHTPURgZ42G7kGYS8Kv95kxTLATuvYKERZ9rFkwc
 Esn1xJb5od7BfEoxhZ0Jv5cMUTKQQerpkCwJFuJuZFLFjL91fM14Hb3ThZn2WO6/sh7H
 Kuw61fAlHlueosjOCN4Kj5xt3e8lmAbXhwU8KnJ1QIR7w1ekUlwJ77trC1STrnmigAtU
 n5Vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=/NNf0/urnb7qApwjghXNINjU5SBm/TzTlnvvGLgfi/o=;
 b=iB/uULgi3V8Z/BLWGwuz/aWWLsjKjwF0LOnUJ2Ymp6aYXCu2bDJrJ2KOd4x6Rw1lK/
 IO+m+7ghbNAHUswLBKYTQ8U3a7UYGd6b41B13WrKrzMmc50STldfkzyWQD9UH5ZK5XSx
 iPPRNxW7XXOEWcjxO2dOepImRNye1rsKUDwAKRcq4BPhC3hACJus6ORyKDgR0swLXvpN
 /DiHlz8FgVQ/wR5/4UlYn0T0wIL4J1MamPfWqgO6OPyOSpoVczaVi+L334C36M0jgf3x
 X/yguZKY23PgZnlHYqTylXhGEhdAHYk+gUthcnX0zYdySiArsQ9G8+XGKnF5Q1ULCAL8
 fwig==
X-Gm-Message-State: AD7BkJKcakliLutHocdjy73RoLQrt7HeaGsY9HpUGBHS29KWxXQ5iD2KCjOlKC0pnKHT9csZoswHs9Oh3QjJ2w==
X-Received: by 10.202.185.214 with SMTP id j205mr4006595oif.68.1458164151261; 
 Wed, 16 Mar 2016 14:35:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.202.93.137 with HTTP; Wed, 16 Mar 2016 14:35:31 -0700 (PDT)
From: Michael Sloan <mgsloan@HIDDEN>
Date: Wed, 16 Mar 2016 14:35:31 -0700
Message-ID: <CAEDDsWf2QyABTDMAm_NDqtROiaagBVegq4JNxcKde2aXEYYG8w@HIDDEN>
Subject: 24.5; Lock file uses the same extension as the file it's locking
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113cd1fa42a0ab052e314c8e
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 16 Mar 2016 17:52:39 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113cd1fa42a0ab052e314c8e
Content-Type: text/plain; charset=UTF-8

Lockfiles help the circumstance where multiple emacs processes are
editing the same file. The lockfile for 'File.hs' gets the name
'.#File.hs'.  This means that naive enumeration of all the files in the
directory with the extension '.hs' will also yield the lockfile.  Many
tools have behaviors that rely on enumerating all of the files which
have a particular extension, reasonably assuming that the user put them
there.

In particular, for me this caused the following issue:
https://github.com/commercialhaskell/stack/issues/1897

It seems wrong up for emacs to be writing files that have the extension
'.cabal' that are not cabal files. Even if they are named pipes that start
with '.', this causes problems for tools that expect files to be what their
name says they are.

Contrast this with backup files, which append a tilda to the end of the
filepath.  This changes the extension, and so tools don't get confused
by the extra files.

Version info:

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2015-09-10 on computer
Repository revision: 866501efe0fdc0c29448e0aaf8696eb0a3c8fcd6

-Michael

--001a113cd1fa42a0ab052e314c8e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Lockfiles help the circumstance where multiple emacs =
processes are</div><div>editing the same file. The lockfile for &#39;File.h=
s&#39; gets the name</div><div>&#39;.#File.hs&#39;.=C2=A0 This means that n=
aive enumeration of all the files in the</div><div>directory with the exten=
sion &#39;.hs&#39; will also yield the lockfile.=C2=A0 Many</div><div>tools=
 have behaviors that rely on enumerating all of the files which</div><div>h=
ave a particular extension, reasonably assuming that the user put them</div=
><div>there.</div><div><br></div><div>In particular, for me this caused the=
 following issue:</div><div><a href=3D"https://github.com/commercialhaskell=
/stack/issues/1897">https://github.com/commercialhaskell/stack/issues/1897<=
/a></div><div><br></div><div>It seems wrong up for emacs to be writing file=
s that have the extension</div><div>&#39;.cabal&#39; that are not cabal fil=
es. Even if they are named pipes that start</div><div>with &#39;.&#39;, thi=
s causes problems for tools that expect files to be what their</div><div>na=
me says they are.</div><div><br></div><div>Contrast this with backup files,=
 which append a tilda to the end of the</div><div>filepath.=C2=A0 This chan=
ges the extension, and so tools don&#39;t get confused</div><div>by the ext=
ra files.</div><div><br></div><div>Version info:</div><div><br></div><div><=
div>In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)</di=
v><div>=C2=A0of 2015-09-10 on computer</div><div>Repository revision: 86650=
1efe0fdc0c29448e0aaf8696eb0a3c8fcd6</div></div><div><br></div><div>-Michael=
</div></div>

--001a113cd1fa42a0ab052e314c8e--




Acknowledgement sent to Michael Sloan <mgsloan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23033; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Sep 2021 06:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.